Controladores de notificaciones
GET https://jkznetwork.net/api/notification-handlers/
curl --request GET \
--url 'https://jkznetwork.net/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://jkznetwork.net/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| search | Opcional Cadena | La cadena de búsqueda. |
| search_by | Opcional Cadena | ¿Por qué campo estás buscando? Los valores permitidos son: name. |
| is_enabled | Opcional Booleano | |
| type | Opcional Cadena | ¿Por qué campo estás buscando? Los valores permitidos son: email, webhook, google_chat, internal_notification, push_subscriber_id, sixsixtext_save_contact. |
| datetime_field | Opcional Cadena | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Cadena | Filtrar resultados a partir de esta fecha y hora. Formato Y-m-d H:i:s. |
| datetime_end | Opcional Cadena | Filtrar resultados hasta esta fecha y hora. Formato Y-m-d H:i:s. |
| order_by | Opcional Cadena | Por qué campo ordenar los resultados. Los valores permitidos son: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opcional Cadena | El ordenamiento de los resultados. Los valores permitidos son: ASC para orden ascendente y DESC para orden descendente. |
| search | Opcional Cadena | La cadena de búsqueda. |
| search_by | Opcional Cadena | ¿Por qué campo estás buscando? Los valores permitidos son: name. |
| is_enabled | Opcional Booleano | |
| type | Opcional Cadena | ¿Por qué campo estás buscando? Los valores permitidos son: email, webhook, google_chat, internal_notification, push_subscriber_id, sixsixtext_save_contact. |
| datetime_field | Opcional Cadena | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Cadena | Filtrar resultados a partir de esta fecha y hora. Formato Y-m-d H:i:s. |
| datetime_end | Opcional Cadena | Filtrar resultados hasta esta fecha y hora. Formato Y-m-d H:i:s. |
| order_by | Opcional Cadena | Por qué campo ordenar los resultados. Los valores permitidos son: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opcional Cadena | El ordenamiento de los resultados. Los valores permitidos son: ASC para orden ascendente y DESC para orden descendente. |
| page | Opcional Entero | El número de página del que desea obtener los resultados. El valor predeterminado es |
| results_per_page | Opcional Entero | Cuántos resultados desea por página. Los valores permitidos son: 10, 25, 50, 100, 250, 500, 1000. El valor predeterminado es |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-08-02 15:47:03",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://jkznetwork.net/api/notification-handlers?page=1",
"last": "https://jkznetwork.net/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://jkznetwork.net/api/notification-handlers?page=1"
}
}
GET https://jkznetwork.net/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://jkznetwork.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://jkznetwork.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-08-02 15:47:03",
}
}
POST https://jkznetwork.net/api/notification-handlers
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Requerido Cadena | - |
| type | Requerido Cadena | Valores permitidos: email, webhook, google_chat, internal_notification, push_subscriber_id, sixsixtext_save_contact |
| Opcional Cadena | Disponible cuando: type = email Correo electrónico | |
| webhook | Opcional Cadena | Disponible cuando: type = webhook URL de webhook |
| google_chat | Opcional Cadena | Disponible cuando: type = google_chat URL del webhook del chat de Google |
| push_subscriber_id | Opcional Cadena | Disponible cuando: type = push_subscriber_id empujar suscriptor |
| sixsixtext_save_contact_api_key | Opcional Cadena | Disponible cuando: type = sixsixtext_save_contact Clave API |
| sixsixtext_save_contact_phone_number | Opcional Cadena | Disponible cuando: type = sixsixtext_save_contact Número de teléfono de prueba |
curl --request POST \
--url 'https://jkznetwork.net/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://jkznetwork.net/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://jkznetwork.net/api/notification-handlers/{notification_handler_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Opcional Cadena | - |
| type | Opcional Cadena | Valores permitidos: email, webhook, google_chat, internal_notification, push_subscriber_id, sixsixtext_save_contact |
| Opcional Cadena | Disponible cuando: type = email Correo electrónico | |
| webhook | Opcional Cadena | Disponible cuando: type = webhook URL de webhook |
| google_chat | Opcional Cadena | Disponible cuando: type = google_chat URL del webhook del chat de Google |
| push_subscriber_id | Opcional Cadena | Disponible cuando: type = push_subscriber_id empujar suscriptor |
| sixsixtext_save_contact_api_key | Opcional Cadena | Disponible cuando: type = sixsixtext_save_contact Clave API |
| sixsixtext_save_contact_phone_number | Opcional Cadena | Disponible cuando: type = sixsixtext_save_contact Número de teléfono de prueba |
| is_enabled | Opcional Booleano | - |
curl --request POST \
--url 'https://jkznetwork.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://jkznetwork.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://jkznetwork.net/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://jkznetwork.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://jkznetwork.net/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \